%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname -d %{name}

Name:           wavpack
Version:        5.1.0
Release:        %mkrel 1
Summary:        Lossless Audio command-line tools for encode/decode
Group:          Sound/Utilities
License:        BSD
Url:            http://www.wavpack.com
Source0:        http://www.wavpack.com/%{name}-%{version}.tar.bz2

BuildRequires:  pkgconfig(ncurses)

%description
WavPack is a completely open audio compression format providing
lossless, high-quality lossy, and a unique hybrid compression
mode. Although the technology is loosely based on previous versions of
WavPack, the new version 4 format has been designed from the ground up
to offer unparalleled performance and functionality.

%package -n %{libname}
Summary:        Lossless Audio encode/decode library
Group:          System/Libraries

%description -n %{libname}
WavPack is a completely open audio compression format providing
lossless, high-quality lossy, and a unique hybrid compression
mode. Although the technology is loosely based on previous versions of
WavPack, the new version 4 format has been designed from the ground up
to offer unparalleled performance and functionality.

%package -n %{devname}
Summary:        Development files for the WavPack library
Group:          Development/C
Provides:       lib%{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}
Obsoletes:      %mklibname -d %{name} 1

%description -n %{devname}
This package contains development header and library for WavPack.

%prep
%autosetup -p1

%build
%configure2_5x \
%ifarch armv5tl
    --disable-asm \
%endif
    --disable-static

%make_build

%install
%make_install

find %{buildroot}%{_libdir} -name "*.la" -delete

%files
%doc README ChangeLog
%{_bindir}/wavpack
%{_bindir}/wvgain
%{_bindir}/wvtag
%{_bindir}/wvunpack
%{_mandir}/man1/*.1*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Mon Mar 06 2017 akien <akien> 5.1.0-1.mga6
+ Revision: 1089120
- Version 5.1.0

* Fri May 06 2016 luigiwalser <luigiwalser> 4.80.0-1.mga6
+ Revision: 1010035
- 4.80.0

* Wed Mar 09 2016 pterjan <pterjan> 4.75.2-3.mga6
+ Revision: 988482
- Disable the use of armv7 asm on armv5

* Fri Feb 12 2016 umeabot <umeabot> 4.75.2-2.mga6
+ Revision: 959173
- Mageia 6 Mass Rebuild

* Sun Jan 03 2016 luigiwalser <luigiwalser> 4.75.2-1.mga6
+ Revision: 918874
- 4.75.2

* Wed Oct 15 2014 umeabot <umeabot> 4.70.0-3.mga5
+ Revision: 743941
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.70.0-2.mga5
+ Revision: 690277
- Mageia 5 Mass Rebuild

* Fri Feb 14 2014 luigiwalser <luigiwalser> 4.70.0-1.mga5
+ Revision: 591399
- 4.70.0

* Fri Oct 18 2013 umeabot <umeabot> 4.60.1-4.mga4
+ Revision: 520070
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 4.60.1-3.mga3
+ Revision: 385644
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 12 2012 fwang <fwang> 4.60.1-2.mga3
+ Revision: 305019
- update rpm group
- drop .la file

* Sat Jan 15 2011 mikala <mikala> 4.60.1-2.mga1
+ Revision: 18538
- Drop mdk macros
- Remove BuildRoot
- imported package wavpack

